﻿
<div class="modal fade " data-backdrop="static" data-keyboard="false" id="PrintNewInvoiceModal" tabindex="-1" role="dialog" aria-labelledby="PrintNewInvoiceModal" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.PrintInvoice</b></h4>
                <b class="modal-title" style="color: darkblue;" id="lblExchangeRate"></b>
            </div>
            <div class="modal-body">
                <div class="row">
                    <input id="invid" name="invid" type="text" style="display: none;" value="" class="form-control" />
                    <input id="checkinid" name="checkinid" type="text" style="display: none;" value="" class="form-control" />
                    <input id="guestid" name="guestid" type="text" style="display: none;" value="" class="form-control" />
                    <input id="roomid" name="roomid" type="text" style="display: none;" value="" class="form-control" />

                    <input id="exrate" name="exrate" type="text" style="display: none;" value="" class="form-control" />
                    <input id="wprice" name="wprice" type="text" style="display: none;" value="" class="form-control" />
                    <input id="pprice" name="pprice" type="text" style="display: none;" value="" class="form-control" />
                    <input id="weid" name="weid" type="text" style="display: none;" value="" class="form-control" />

                    <input id="ispaid" name="ispaid" type="text" style="display: none;" value="" class="form-control" />
                    <input id="isprint" name="isprint" type="text" style="display: none;" value="" class="form-control" />

                    <input id="action" name="action" type="text" style="display: none;" value="" class="form-control" />
                    <input id="IsCheckin" name="IsCheckin" type="text" style="display: none;" value="" class="form-control" />
                    <input id="IsPaid" name="IsPaid" type="text" style="display: none;" value="" class="form-control" />
                    <input id="IsPrint" name="IsPrint" type="text" style="display: none;" value="" class="form-control" />
                    <span class="text-primary"></span>
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="invno">@Resources.Content.No</label>
                                    <input id="invno" readonly="readonly" name="invno" placeholder="Enter Guest Name" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                                <div class="form-group">
                                    <label for="name">@Resources.Content.Guest</label>
                                    <input id="name" readonly="readonly" name="name" placeholder="Enter Guest Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                                <div class="form-group">
                                    <label for="roomno">@Resources.Content.Room</label>
                                    <input id="roomno" readonly="readonly" name="roomno" placeholder="Enter Guest Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                                <div class="form-group">
                                    <label for="rmprice">@Resources.Content.RoomPrice</label>
                                    <input id="rmprice" readonly="readonly" name="rmprice" placeholder="Enter Address" type="text" value="" class="form-control input-sm" style="min-width: 100%;" />
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="stdate">@Resources.Content.StartDate</label>
                                            <input id="stdate" readonly="readonly" name="stdate" type="date" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="eddate">@Resources.Content.EndDate</label>
                                            <input id="eddate" readonly="readonly" name="eddate" type="date" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <input id="waterid" name="waterid" type="text" style="display: none;" value="" class="form-control" />
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="recordwaterold">@Resources.Content.WaterStartRecord</label>
                                            <input id="recordwaterold" readonly="readonly" name="recordwaterold" placeholder="Enter Phone" type="number" value="" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="recordwaternew">@Resources.Content.WEndRecord</label>
                                            <input id="recordwaternew" onfocus="this.select();" onchange="RecordWaterChange();" name="recordwaternew" placeholder="Enter Phone" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <input id="powerid" name="powerid" type="text" style="display: none;" value="" class="form-control" />
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="recordpowerold">@Resources.Content.ElectricStartRecord</label>
                                            <input id="recordpowerold" readonly="readonly" name="recordpowerold" placeholder="Enter Phone" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="recordpowernew">@Resources.Content.EEndRecord</label>
                                            <input id="recordpowernew" onfocus="this.select();" onchange="RecordPowerChange()" name="recordpowernew" placeholder="Enter Phone" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="waterusagetotal">@Resources.Content.TotalWater</label>
                                            <input id="waterusagetotal" readonly="readonly" name="waterusagetotal" placeholder="Enter Phone" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="powerusagetotal">@Resources.Content.TotalElectric</label>
                                            <input id="powerusagetotal" readonly="readonly" name="powerusagetotal" placeholder="Enter Phone" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="svprice">@Resources.Content.ServiceCharge</label>
                                    <input id="svprice" readonly="readonly" name="svprice" placeholder="Enter Phone" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                                <div class="form-group">
                                    <label for="gratndtotal">@Resources.Content.GrandTotal</label>
                                    <input id="grandtotal" readonly="readonly" name="gratndtotal" placeholder="Enter Passport Number" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                                <div class="form-group">
                                    <label for="grandtotalkh">@Resources.Content.GrandTotalRiel</label>
                                    <input id="grandtotalkh" readonly="readonly" name="grandtotalkh" placeholder="Enter Email" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                                <div class="form-group">
                                    <label for="note">@Resources.Content.Note</label>
                                    <input id="note" name="note" placeholder="Enter Social Security Number" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-sm pull-right" style="margin-left:10px;width:100px"><span class="glyphicon glyphicon-remove"></span> @Resources.Content.Close</button>
                <button type="button" id="" onclick="InvoiceNewPrint();" class="btn btn-info btn-sm pull-right" style="margin-left:10px;width:100px"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>

            </div>
        </div>
    </div>
</div>

<script>

    function InvoiceNewPrint() {
        if (parseFloat($("#IsCheckin").val()) > 0) {
            //alert('Is Update Check In');
            UpdateWaterElectricUsage();
            
        } else if (parseFloat($("#IsPrint").val()) > 0) {
            InsertWaterElectricUsage();
            //alert('Is Insert Invoice');
        }
    }
    //===========Update WE Function======
    function UpdateWaterElectricUsage() {
        var data = new FormData();
        data.append("startdate", $('#stdate').val());
        data.append("enddate", $('#eddate').val());
        data.append("wendrecord", $('#recordwaternew').val());
        data.append("eendrecord", $('#recordpowernew').val());
        $.ajax({
            type: "PUT",
            url: "/api/updateweendrecord/" + $("#weid").val(),
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                InsertNewInvoice($("#weid").val());
            },
            error: function (errormesage) {
                toastr.error("Electric usage insert faild!", "Server Respond");
                return false;
            }
        });
    }
    //===========Insert WE FUnction========
    function InsertWaterElectricUsage() {
        var data = new FormData();
        data.append("guestid", $("#guestid").val());
        data.append("startdate", $('#stdate').val());
        data.append("enddate", $('#eddate').val());
        data.append("wstartrecord", $('#recordwaterold').val());
        data.append("wendrecord", $('#recordwaternew').val());
        data.append("estartrecord", $('#recordpowerold').val());
        data.append("eendrecord", $('#recordpowernew').val());
        $.ajax({
            url: "/api/waterelectricusages",
            type: "POST",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                InsertNewInvoice(result);
            },
            error: function (errormesage) {
                toastr.error("Electric usage insert faild!", "Server Respond");
                return false;
            }
        });
    }
    //Insert Invoice Function=======
    function InsertNewInvoice(id) {
        var data = {
            roomid: $('#roomid').val(),
            guestid: $('#guestid').val(),
            checkinid: $('#checkinid').val(),
            grandtotal: $('#grandtotal').val(),
            totalriel: $('#grandtotalkh').val(),
            totaldollar: $('#grandtotal').val(),
            totalother: $('#svprice').val(),
            note: $('#note').val(),
            printed: true,
            weusageid: id,
        };
        $.ajax({
            url: "/api/invoices",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Insert data successfully.", "Server Response");
                UpdateCheckInStatus();
                window.location = "invoice-report/" + result;
            },
            error: function (errormesage) {
                toastr.error("Create invoice faild...!" + errormesage, "Server Respond");
            }
        });
    }
    function UpdateCheckInStatus() {
        $.ajax({
            type: "PUT",
            url: "/api/updatecheckind/" + $("#checkinid").val(),
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
                //toastr.success("Room Status has been Update successfully.", "Server Response");
            },
            error: function (error) {
                toastr.error("Update room status fail!", "Server Response");
            }
        });
    }
    ///////For Print Invoice
    function RecordWaterChange() {
        var waternewrecord = document.getElementById('recordwaternew').value;
        var wateroldrecord = document.getElementById('recordwaterold').value;
        var totalwaterusage = ((parseFloat(waternewrecord) - parseFloat(wateroldrecord)) * parseFloat($('#wprice').val())) / parseFloat($('#exrate').val());
        if (totalwaterusage <= 0) {
            alert('Faild!');
            $('#recordwaternew').focus();
        } else {
            $('#waterusagetotal').val(totalwaterusage.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
            TotalPayment();
        }

    }
    function RecordPowerChange() {
        var powernewrecord = document.getElementById('recordpowernew').value;
        var powerroldrecord = document.getElementById('recordpowerold').value;
        var totalwaterusage = ((parseInt(powernewrecord) - parseInt(powerroldrecord)) * parseFloat($('#pprice').val())) / parseFloat($('#exrate').val());
        if (totalwaterusage <= 0) {
            alert('Faild!');
            $('#recordwaternew').focus();
        } else {
            $('#powerusagetotal').val(totalwaterusage.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
            TotalPayment();
        }
    }
    function TotalPayment() {
        var watertotal = document.getElementById('waterusagetotal').value;
        var powertotal = document.getElementById('powerusagetotal').value;
        var roomprice = document.getElementById('rmprice').value;
        var servicecharge = document.getElementById('svprice').value;
        var grandtotal = parseFloat(watertotal) + parseFloat(powertotal) + parseFloat(roomprice) + parseFloat(servicecharge);
        $('#grandtotal').val(grandtotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        $('#grandtotalkh').val((grandtotal * parseFloat($('#exrate').val())).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
    }

</script>